Bug 172608 - [exp-run] conditional including of bsd.perl.mk inside bsd.port.mk
Summary: [exp-run] conditional including of bsd.perl.mk inside bsd.port.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Port Management Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-11 12:49 UTC by Andrej Zverev
Modified: 2013-09-20 17:59 UTC (History)
0 users

See Also:


Attachments
p5cond.diff (474 bytes, patch)
2012-10-11 12:49 UTC, Andrej Zverev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andrej Zverev freebsd_committer 2012-10-11 12:49:48 UTC
	All ports have previously had SITE_PERL inside RUN|BUILD_DEPENDS now corrected.
	We must ensure that there is now possibility of conditional include 
	bsd.perl.mk will work.
	Please run exp-run with this patch. I'll fix the problems (if they occur).

	Mark Linimon, PR is a reminder to you.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-11 12:56:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

bsd.port.mk is portmgr territory (via the GNATS Auto Assign Tool)
Comment 2 Chris Rees 2012-10-11 13:30:51 UTC
There are a few weird ordering issues; some of the other .mk files depend
on bsd.perl.mk, but I think if it passes an exp-run we have no problems.

Chris
Comment 3 dfilter service freebsd_committer 2013-09-18 09:44:29 UTC
Author: bapt
Date: Wed Sep 18 08:44:21 2013
New Revision: 327536
URL: http://svnweb.freebsd.org/changeset/ports/327536

Log:
  Remove the old perl framework, that also means all the perl code is not loaded inconditionnaly anymore
  Huge thanks for az@ for his hard work on the subject!
  
  PR:		ports/172608
  Submitted by:	az

Deleted:
  head/Mk/bsd.perl.mk
Modified:
  head/CHANGES
  head/Mk/bsd.port.mk

Modified: head/CHANGES
==============================================================================
--- head/CHANGES	Wed Sep 18 08:38:20 2013	(r327535)
+++ head/CHANGES	Wed Sep 18 08:44:21 2013	(r327536)
@@ -10,6 +10,17 @@ in the release notes and/or placed into 
 
 All ports committers are allowed to commit to this file.
 
+20130918:
+AUTHOR: bapt@FreeBSD.org
+
+  The perl framework is not included inconditionnaly and the old framework
+  is not recognized anymore, the following MACROS has been removed:
+
+  * PERL_CONFIGURE
+  * USE_PERL5_RUN
+  * USE_PERL5_BUILD
+  * PERL_MODBUILD
+
 20130904:
 AUTHOR: madpilot@FreeBSD.org
 

Modified: head/Mk/bsd.port.mk
==============================================================================
--- head/Mk/bsd.port.mk	Wed Sep 18 08:38:20 2013	(r327535)
+++ head/Mk/bsd.port.mk	Wed Sep 18 08:44:21 2013	(r327536)
@@ -1391,8 +1391,6 @@ PKGCOMPATDIR?=		${LOCALBASE}/lib/compat/
 .include "${PORTSDIR}/Mk/bsd.gnustep.mk"
 .endif
 
-.include "${PORTSDIR}/Mk/bsd.perl.mk"
-
 .if defined(USE_PHP)
 .include "${PORTSDIR}/Mk/bsd.php.mk"
 .endif
@@ -1956,8 +1954,6 @@ RUN_DEPENDS+=	${_GL_${_component}_RUN_DE
 .include "${PORTSDIR}/Mk/bsd.sdl.mk"
 .endif
 
-.include "${PORTSDIR}/Mk/bsd.perl.mk"
-
 .if defined(USE_PHP)
 .include "${PORTSDIR}/Mk/bsd.php.mk"
 .endif
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Andrej Zverev freebsd_committer 2013-09-20 17:59:43 UTC
State Changed
From-To: open->closed

Issue no more actual, no exp-run needed